chinese_calendar~=1.10.0
lxml~=5.3.0
openai>1.0.0
pandas~=2.2.3
pyyaml~=6.0.2
requests~=2.32.3
schedule~=1.2.2
pyhandytools
sparkdesk-api==1.3.0
wcferry==39.2.*
websocket~=0.2.1
pillow~=11.0.0
jupyter_client~=8.6.3
zhdate~=0.1
ipykernel
google-generativeai
zhipuai~=2.1.5.20241204

protobuf~=5.29.1
beautifulsoup4~=4.12.3
httpx~=0.28.1 
pyttsx3~=2.98
redis~=5.2.1
PyMySQL~=1.1.1